### Method

# Camel MessageInfo dup_user_header

since: 3.42

#### Declaration [src]

    gchar*
    camel_message_info_dup_user_header (
      const CamelMessageInfo* mi,
      const gchar* name
    )

#### Description

No description available.

Available since: 3.42

#### Parameters

`name`

  Type: `const gchar*`

  Header name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Value of the header named `name` from the user-defined message headers of the associated message, or `NULL`, when not available. Free the returned string with g_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.